## libportal 0.8.1

=== debian/changelog ===
libportal (0.8.1-2) unstable; urgency=medium

  * d/rules: Explicitly set a screen size for Xvfb.
    For whatever reason, this avoids a crash in libunwind seen on armhf.
    (Mitigates: #1082659) (Closes: #1082588)
  * d/rules: Let diagnostic messages from Xvfb go to stderr.
    This would have made it easier to see that Xvfb was segfaulting
    on armhf.

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Sep 2024 10:12:10 +0100

libportal (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches, applied upstream
  * d/p/tests-Divide-tests-into-suites.patch, d/rules:
    Ignore result of unreliable pytest-based tests (Mitigates: #1082570)
  * d/*.README.Debian: Update Flatpak runtime versions again

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Sep 2024 13:39:49 +0100

libportal (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update
  * Update README.Debian for GTK tests.
    They now use a newer runtime.
  * d/libportal-tests-qt5.install: Update for new versioned name
  * Drop all patches, applied upstream
  * Build Qt 6 binding, but do not install it yet.
    Installing it will require a trip through the NEW queue.
  * d/p/tests-Make-pytest-more-verbose.patch,
    d/p/tests-Increase-timeout-for-pytest.patch,
    d/p/remote-Shuffle-some-code-around.patch,
    d/p/remote-Fetch-ScreenCast-version-when-using-Remote-Desktop.patch:
  * Add patches from upstream to fix a test failure and make tests
    more verbose
  * Update symbols files with new ABI
  * Standards-Version: 4.7.0 (no changes required)
  * Use pkgconf in preference to pkg-config
  * d/tests/libportal-gtk4-dev: Fix some warnings

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 11:58:12 +0100

=== debian/control ===
Source: libportal
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 gir1.2-freedesktop-dev,
 gir1.2-gio-2.0-dev,
 gir1.2-gtk-3.0-dev <!pkg.libportal.nogtk3>,
 gir1.2-gtk-4.0-dev <!pkg.libportal.nogtk4>,
 gobject-introspection,
 gobject-introspection (>= 1.78.1-9~) <cross>,
 libglib2.0-dev (>= 2.58),
 libgstreamer-plugins-base1.0-dev <!noinsttest>,
 libgtk-3-dev <!pkg.libportal.nogtk3>,
 libgtk-4-dev <!pkg.libportal.nogtk4>,
 libqt5x11extras5-dev <!pkg.libportal.noqt5>,
 meson (>= 0.49.0),
 pkgconf,
 python3-dbus <!nocheck>,
 python3-dbusmock <!nocheck>,
 python3-pytest <!nocheck>,
 qtbase5-dev <!pkg.libportal.noqt5>,
 qt6-base-dev <!pkg.libportal.noqt6>,
 qt6-base-private-dev <!pkg.libportal.noqt6>,
 valac:native,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Build-Depends-Indep:
 gi-docgen <!nodoc>,
 gjs <!noinsttest>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/flatpak/libportal
Vcs-Git: https://salsa.debian.org/debian/libportal.git
Vcs-Browser: https://salsa.debian.org/debian/libportal

Package: gir1.2-xdp-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${gir:Provides},
Description: Flatpak portal library - introspection data
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

Package: gir1.2-xdpgtk3-1.0
Build-Profiles: <!pkg.libportal.nogtk3>
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${gir:Provides},
Description: Flatpak portal library - introspection data for GTK 3
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for GTK 3 integration.

Package: gir1.2-xdpgtk4-1.0
Build-Profiles: <!pkg.libportal.nogtk4>
Section: introspection
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${gir:Provides},
Description: Flatpak portal library - introspection data for GTK 4
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for GTK 4 integration.

Package: libportal-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-xdp-1.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.58),
 libportal1 (= ${binary:Version}),
 pkgconf,
 ${gir:Depends},
 ${misc:Depends},
Provides:
 ${gir:Provides},
Description: Flatpak portal library (development files)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 the non-GUI-specific parts of libportal.

Package: libportal-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Description: Flatpak portal library (documentation)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains API documentation.

Package: libportal-gtk3-1
Build-Profiles: <!pkg.libportal.nogtk3>
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library for GTK 3 GUIs
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library for integration with GTK 3.

Package: libportal-gtk3-dev
Build-Profiles: <!pkg.libportal.nogtk3>
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-xdpgtk3-1.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.58),
 libgtk-3-dev,
 libportal-dev (= ${binary:Version}),
 libportal-gtk3-1 (= ${binary:Version}),
 pkgconf,
 ${gir:Depends},
 ${misc:Depends},
Provides:
 ${gir:Provides},
Description: Flatpak portal library (development files for GTK 3)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 integration with GTK 3.

Package: libportal-gtk4-1
Build-Profiles: <!pkg.libportal.nogtk4>
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library for GTK 4 GUIs
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library for integration with GTK 4.

Package: libportal-gtk4-dev
Build-Profiles: <!pkg.libportal.nogtk4>
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-xdpgtk4-1.0 (= ${binary:Version}),
 libglib2.0-dev (>= 2.58),
 libgtk-4-dev,
 libportal-dev (= ${binary:Version}),
 libportal-gtk4-1 (= ${binary:Version}),
 pkgconf,
 ${gir:Depends},
 ${misc:Depends},
Provides:
 ${gir:Provides},
Description: Flatpak portal library (development files for GTK 4)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 integration with GTK 4.

Package: libportal-qt5-1
Build-Profiles: <!pkg.libportal.noqt5>
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library for Qt 5 GUIs
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the shared library for integration with Qt 5.

Package: libportal-qt5-dev
Build-Profiles: <!pkg.libportal.noqt5>
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libportal-dev (= ${binary:Version}),
 libportal-qt5-1 (= ${binary:Version}),
 libqt5x11extras5-dev,
 pkgconf,
 qtbase5-dev,
 ${misc:Depends},
Description: Flatpak portal library (development files for Qt 5)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains development headers and the pkg-config file for
 integration with Qt 5.

Package: libportal-tests-gtk3
Build-Profiles: <!noinsttest !pkg.libportal.nogtk3>
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gnome-backgrounds,
Description: Flatpak portal library (test program for GTK 3)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the portal-test-gtk3 application, and will contain
 "as-installed" test programs if they are added.

Package: libportal-tests-gtk4
Build-Profiles: <!noinsttest !pkg.libportal.nogtk4>
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 gir1.2-gdkpixbuf-2.0,
 gir1.2-gstreamer-1.0,
 gir1.2-gtk-4.0,
 gir1.2-pango-1.0,
 gir1.2-xdp-1.0,
 gir1.2-xdpgtk4-1.0,
 gjs,
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 gnome-backgrounds,
Description: Flatpak portal library (test program for GTK 4)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the org.gnome.PortalTest.Gtk4 application, and
 will contain "as-installed" test programs if they are added.

Package: libportal-tests-qt5
Build-Profiles: <!noinsttest !pkg.libportal.noqt5>
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Flatpak portal library (test program for Qt)
 libportal provides GIO-style C APIs for most Flatpak portals' D-Bus
 interfaces. It is primarily intended for installation in Flatpak runtimes,
 where applications can use it to interact with portals; it can also be
 used to test the portal services.
 .
 See the xdg-desktop-portal package's description for more information
 about portals.
 .
 This package contains the portal-test-qt application, and will contain
 "as-installed" test programs if they are added.

Package: libportal1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
# https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html
export QT_SELECT=5

export VERBOSE=1

meson_options =

ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
native_or_cross = native
else
native_or_cross = cross
meson_options += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
endif

ifneq ($(filter libportal-gtk3-% libportal-%-gtk3,$(built_binaries)),)
meson_options += -Dbackend-gtk3=enabled
else
meson_options += -Dbackend-gtk3=disabled
endif

ifneq ($(filter libportal-gtk4-dev libportal-%-gtk4,$(built_binaries)),)
meson_options += -Dbackend-gtk4=enabled
else
meson_options += -Dbackend-gtk4=disabled
endif

ifneq ($(filter libportal-qt5-dev libportal-%-qt5,$(built_binaries)),)
meson_options += -Dbackend-qt5=enabled
else
meson_options += -Dbackend-qt5=disabled
endif

# We don't build packages for Qt 6 yet, that will require a trip through NEW
ifeq ($(filter pkg.libportal.noqt6,$(DEB_BUILD_PROFILES)),)
meson_options += -Dbackend-qt6=enabled
else
meson_options += -Dbackend-qt6=disabled
endif

ifeq ($(filter libportal-doc,$(built_binaries)),)
meson_options += -Ddocs=false
else
meson_options += -Ddocs=true
endif

ifeq ($(filter libportal-tests-%,$(built_binaries)),)
meson_options += -Dportal-tests=false
else
meson_options += -Dportal-tests=true
endif

meson_options += --$(native_or_cross)-file=$(CURDIR)/debian/meson/vapigen.ini

ifeq ($(filter libportal-tests-gtk4,$(built_binaries)),)
meson_options += --$(native_or_cross)-file=$(CURDIR)/debian/meson/no-gjs.ini
endif

test_timeout_multiplier = 3
meson_test_options = --timeout-multiplier $(test_timeout_multiplier)

%:
	dh $@

override_dh_auto_configure:
	sed \
		-e 's|@bindir@|$(CURDIR)/debian|g' \
		-e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|g' \
		< debian/meson/vapigen.ini.in > debian/meson/vapigen.ini
	sed \
		-e 's|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|g' \
		< debian/vapigen.in > debian/$(DEB_HOST_GNU_TYPE)-vapigen
	chmod 0755 debian/$(DEB_HOST_GNU_TYPE)-vapigen
	dh_auto_configure \
		-- \
		$(meson_options) \
		$(NULL)

xvfb_run = xvfb-run -e /proc/self/fd/2 -a -s "-screen 0 1280x1024x24 -noreset"

override_dh_auto_test:
	$(xvfb_run) dh_auto_test -- $(meson_test_options) --no-suite pytest
	$(xvfb_run) dh_auto_test -- $(meson_test_options) --suite pytest || true

## libportal 0.9.0

=== debian/changelog ===
libportal (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * d/libportal1.symbols: Update
  * d/control: Bump GLib build-dependency to 2.72 as per meson.build
  * d/control: Require meson 0.63.0 if Qt 6 support is enabled, as per
    meson.build
  * d/rules: Run all tests
  * d/salsa-ci.yml: Use recommended recipe

 -- Simon McVittie <smcv@debian.org>  Sun, 22 Dec 2024 13:01:23 +0000

## libportal 0.9.1

=== meson_options.txt ===
option('backend-gtk3', type: 'feature', value: 'auto',
  description: 'Build the GTK3 portal backend')
option('backend-gtk4', type: 'feature', value: 'auto',
  description: 'Build the GTK4 portal backend')
option('backend-qt5', type: 'feature', value: 'auto',
  description: 'Build the Qt5 portal backend')
option('backend-qt6', type: 'feature', value: 'auto',
  description: 'Build the Qt6 portal backend')
option('portal-tests', type: 'boolean', value: false,
  description : 'Build portal tests of each backend')
option('introspection', type: 'boolean', value: true,
  description: 'Generate GObject introspection files')
option('vapi', type: 'boolean', value: true,
  description : 'Generate Vala bindings')
option('docs', type: 'boolean', value: true,
  description : 'Build API reference with gi-docgen')
option('tests', type: 'boolean', value: true,
  description : 'Build unit tests')

=== debian/changelog ===
libportal (0.9.1-2) unstable; urgency=medium

  * d/p/build-Don-t-install-glib-backports.h-or-pass-it-to-GObjec.patch:
    Add patch from upstream to stop installing a private header
  * d/p/qt6-fix-build-against-Qt-6.9.patch:
    Add patch from upstream to fix FTBFS against Qt 6.9
  * d/rules: Instruct debcrossgen to use `meson env2mfile`.
    This means we no longer need to use a separate cross-file to find the
    GObject-Introspection tools: `meson env2mfile` does the right thing
    for these since meson 1.7.0, which was in trixie. (Mitigates: #1060838)
  * d/rules: Silence blhc false positive #1088099

 -- Simon McVittie <smcv@debian.org>  Fri, 26 Sep 2025 14:21:39 +0100

libportal (0.9.1-1) unstable; urgency=medium

  * New upstream release
    - Fix memory management in input capture code (Closes: #1082570)

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Feb 2025 10:58:37 +0000

=== debian/control ===
--- 
+++ 
@@ -13,12 +13,14 @@
  gir1.2-gtk-4.0-dev <!pkg.libportal.nogtk4>,
  gobject-introspection,
  gobject-introspection (>= 1.78.1-9~) <cross>,
- libglib2.0-dev (>= 2.58),
+ libglib2.0-dev (>= 2.72),
  libgstreamer-plugins-base1.0-dev <!noinsttest>,
  libgtk-3-dev <!pkg.libportal.nogtk3>,
  libgtk-4-dev <!pkg.libportal.nogtk4>,
  libqt5x11extras5-dev <!pkg.libportal.noqt5>,
  meson (>= 0.49.0),
+ meson (>= 0.63.0) <!pkg.libportal.noqt6>,
+ meson (>= 1.7.0) <cross>,
  pkgconf,
  python3-dbus <!nocheck>,
  python3-dbusmock <!nocheck>,
@@ -120,7 +122,7 @@
  ${misc:Pre-Depends},
 Depends:
  gir1.2-xdp-1.0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.58),
+ libglib2.0-dev (>= 2.72),
  libportal1 (= ${binary:Version}),
  pkgconf,
  ${gir:Depends},
@@ -188,7 +190,7 @@
  ${misc:Pre-Depends},
 Depends:
  gir1.2-xdpgtk3-1.0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.58),
+ libglib2.0-dev (>= 2.72),
  libgtk-3-dev,
  libportal-dev (= ${binary:Version}),
  libportal-gtk3-1 (= ${binary:Version}),
@@ -238,7 +240,7 @@
  ${misc:Pre-Depends},
 Depends:
  gir1.2-xdpgtk4-1.0 (= ${binary:Version}),
- libglib2.0-dev (>= 2.58),
+ libglib2.0-dev (>= 2.72),
  libgtk-4-dev,
  libportal-dev (= ${binary:Version}),
  libportal-gtk4-1 (= ${binary:Version}),
@@ -382,5 +384,3 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
+# https://bugs.debian.org/1060838
+export MESON_USE_NEW_CROSSGEN=1
 # https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html
 export QT_SELECT=5
 
@@ -17,7 +19,6 @@
 native_or_cross = native
 else
 native_or_cross = cross
-meson_options += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
 endif
 
 ifneq ($(filter libportal-gtk3-% libportal-%-gtk3,$(built_binaries)),)
@@ -70,6 +71,8 @@
 	dh $@
 
 override_dh_auto_configure:
+	# https://bugs.debian.org/1088099
+	@echo 'blhc: ignore-line-regexp: .*/lib/qt6/libexec/moc\s.*'
 	sed \
 		-e 's|@bindir@|$(CURDIR)/debian|g' \
 		-e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|g' \
@@ -86,5 +89,4 @@
 xvfb_run = xvfb-run -e /proc/self/fd/2 -a -s "-screen 0 1280x1024x24 -noreset"
 
 override_dh_auto_test:
-	$(xvfb_run) dh_auto_test -- $(meson_test_options) --no-suite pytest
-	$(xvfb_run) dh_auto_test -- $(meson_test_options) --suite pytest || true
+	$(xvfb_run) dh_auto_test -- $(meson_test_options)

=== debian/tests/control ===
Tests: libportal-dev
Restrictions: superficial
Depends:
 build-essential,
 dbus,
 libportal-dev,

Tests: libportal-gtk3-dev
Restrictions: superficial
Depends:
 build-essential,
 dbus,
 libportal-gtk3-dev,
 xauth,
 xvfb,

Tests: libportal-gtk4-dev
Restrictions: superficial
Depends:
 build-essential,
 dbus,
 libportal-gtk4-dev,
 xauth,
 xvfb,

Tests: libportal-qt5-dev
Restrictions: superficial
Depends:
 build-essential,
 dbus,
 libportal-qt5-dev,
 xauth,
 xvfb,
